Rating

Bootstrap 5-Star Rating

Bootstrap 5-star rating plugin can be used to allow the users to share their opinion about the product, documentation page, photo and more.

To use rating you need to include JavaScript code. You can find it in addons in the JS folder.

Simply initiate rating on object with $().mdbRate(); and all needed components will get created.

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount


Basic Example

Simple 5 star rating.

        
            

        <div class="container">
          <span id="rateMe1"></span>
        </div>
        
        <!-- rating.js file -->
        <script src="js/addons/rating.js"></script>

      
        
    
        
            

        // Rating Initialization
        $(document).ready(function() {
          $('#rateMe1').mdbRate();
        });
      
      
        
    

Empty five stars

5 empty stars rating with filling colour on hover.

        
            

        <div class="container">
          <span id="rateMe2"  class="empty-stars"></span>
        </div>
      
        <!-- rating.js file -->
        <script src="js/addons/rating.js"></script>

      
        
    
        
            

        // Rating Initialization
        $(document).ready(function() {
          $('#rateMe2').mdbRate();
        });
      
      
        
    

Faces Rating

5 faces that changes mood on hover

        
            

        <div class="container">
          <span id="rateMe3"  class="rating-faces"></span>
        </div>      
      
        <!-- rating.js file -->
        <script src="js/addons/rating.js"></script>

      
        
    
        
            

        // Rating Initialization
        $(document).ready(function() {
          $('#rateMe3').mdbRate();
        });
      
      
        
    

Rating with feedback

Adding class feedback to the object of initiation of mdbRate will create popover on click.

You can pick one of 3 styles above by adding classes.

        
            

        <div class="container">
          <span id="rateMe4"  class="feedback"></span>
        </div>  
      
        <!-- rating.js file -->
        <script src="js/addons/rating.js"></script>

      
        
    
        
            

        // Rating Initialization
        $(document).ready(function() {
          $('#rateMe4').mdbRate();
        });

React Bootstrap Rating

React Rating - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap 5-star rating plugin can be used to allow the users to share their opinion about the product, documentation page, photo and more.

Visit API tab for all available properties and events.


Basic Example

Simple 5 star rating. Use data property to get and set value custom data.z

        
            
        import React, { useState } from 'react';
        import { MDBContainer, MDBRating } from 'mdbreact';

        const RatingPage = () => {
          const [basic] = useState([
            {
              tooltip: 'Very Bad'
            },
            {
              tooltip: 'Poor'
            },
            {
              tooltip: 'Ok',
              choosed: true
            },
            {
              tooltip: 'Good'
            },
            {
              tooltip: 'Excellent'
            }
          ]);

          return (
            <MDBContainer>
              <MDBRating data={basic} />
            </MDBContainer>
          );
        };

        export default RatingPage;
        
        
    

Empty five stars

5 empty stars rating with filling colour on hover.

        
            
            import React from 'react';
            import { MDBContainer, MDBRating } from 'mdbreact';

            const RatingPage = () => {
              return (
                <MDBContainer>
                  <MDBRating iconRegular />
                </MDBContainer>
              );
            };

            export default RatingPage;

           
        
    

Faces Rating

5 faces that changes mood on hover

        
            
        import React from 'react';
        import { MDBContainer, MDBRating } from 'mdbreact';

        const RatingPage = () => {
          return (
            <MDBContainer>
              <MDBRating
                iconFaces
                fillClassName='black-text'
                iconRegular
              />
            </MDBContainer>
          );
        };

        export default RatingPage;

        
        
    

Rating with feedback

Adding prop feedback will enable popover with textarea on click.

        
            
          import React from 'react';
          import { MDBContainer, MDBRating } from 'mdbreact';

          const RatingPage = () => {
            return (
              <MDBContainer>
                <MDBRating feedback/>
              </MDBContainer>
            );
          };

          export default RatingPage;
       
        
    

React Rating - API

In this section you will find advanced information about the Rating component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.

Import statement

        
            
        import { MDBRating } from "mdbreact";
       
        
    

Rating

API Reference: Properties

Name Type Default Description Example
containerClassName String - Adds custom classes for container <MDBRating tag="li"/>
data Array [ { tooltip: 'Very Bad' }, { tooltip: 'Poor' }, { tooltip: 'Ok' }, { tooltip: 'Good' }, { tooltip: 'Excellent' } ] Sets custom data of icon property. <MDBRating data={[ { tooltip: 'Bad' }, { tooltip: 'Poor' }, { tooltip: 'Ok', choosed: true }, { tooltip: 'Nice' }, { tooltip: 'Excellent' } ]} />
feedback Boolean false If set to true, clicking a star will trigger a popover with a textarea <MDBRating feedback/>
fillClassName String - Sets custom classes for filled icons <MDBRating fillClassName='red-text' />
fillColors Array / Boolean - Sets custom colors for filled icons <MDBRating fillColors={[ 'red-text', 'orange-text', 'yellow-text', 'lime-text', 'light-green-text' ]} /> <MDBRating fillColors />
iconClassName String "grey-text" Sets default icon's classes <MDBRating iconClassName="yellow-text"/>
iconFaces Boolean false Changes icon star for icon face <MDBRating iconClassName="yellow-text"/>
iconSize String "1x" Sets size of icons <MDBRating iconSize="2x"/>
iconRegular Boolean false Sets regular style of icons <MDBRating iconRegular />
tag String 'div' Sets a tag of the rating component <MDBRating tag="li"/>

Options structure

Property data takes as an argument an Array of objects. Available keys for those objects are:

  • icon
  • tooltip
  • choosed
{ icon: String, tooltip: String, choosed: Boolean, }

API Reference: Methods

Name Parameters Description Example
getValue Returns updated component value. <MDBRating getValue={this.handlePickerValue} />
submitHandler Returns feedback form value <MDBRating submitHandler={this.handleOnSubmnit} />

Rating

Bootstrap 5-Star Rating

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap 5-star rating plugin can be used to allow the users to share their opinion about the product, documentation page, photo and more.

Visit API tab for all available properties and events.

Vue live preview

Basic Example

Simple 5 star rating. Use v-model to get and set value.

        
            
          <template>
              <mdb-rating v-model="value"/>
          </template>
        
        
    
        
            
          <script>
            import { mdbRating } from "mdbvue";
            export default {
              name: "RatingPage",
              components: {
                mdbRating
              },
              data() {
                return {
                  value: 2
                }
              }
            };
          </script>
        
        
    

Empty five stars

5 empty stars rating with filling colour on hover.

        
            
              <template>
                <mdb-rating far :options="options" :activeFar="false"/>
              </template>
            
        
    
        
            
              <script>
                import { mdbRating } from "mdbvue";
                export default {
                  name: "RatingPage",
                  components: {
                    mdbRating
                  },
                  data() {
                    return {
                      basicRating: '',
                      options: [
                        {
                          feedback: "Very bad",
                          iconActiveClass: "yellow-text-dark-4",
                        },
                        {
                          feedback: "Poor",
                          iconActiveClass: "yellow-text-dark-3",
                        },
                        {
                          feedback: "OK",
                          iconActiveClass: "yellow-text-dark-2",
                        },
                        {
                          feedback: "Good",
                          iconActiveClass: "yellow-text-dark-1",
                        },
                        {
                          feedback: "Excellent",
                        }
                      ]
                    }
                  }
                };
              </script>
            
        
    
        
            
              <style>
                .yellow-text-dark-2 {
                  color: #d7c952!important;
                }
                .yellow-text-dark-3 {
                  color: #9b9247!important;
                }
                .yellow-text-dark-4 {
                  color: #827c47!important;
                }
                .yellow-text-dark-1 {
                  color: #e9d947!important;
                }
              </style>
            
        
    

Faces Rating

5 faces that changes mood on hover

        
            
          <template>
            <mdb-rating far icon="meh-blank" :activeFar="true" :options="faceOptions" iconActiveClass="black-text"/>
          </template>
        
        
    
        
            
          <script>
            import { mdbRating } from "mdbvue";
            export default {
              name: "RatingPage",
              components: {
                mdbRating
              },
              data() {
                return {
                  basicRating: '',
                  faceOptions: [
                    {
                      feedback: "Very bad",
                      icon: "sad-cry",
                    },
                    {
                      feedback: "Poor",
                      icon: "frown",
                    },
                    {
                      feedback: "OK",
                      icon: "meh",
                    },
                    {
                      feedback: "Good",
                      icon: "smile",
                    },
                    {
                      feedback: "Excellent",
                      icon: "laugh-beam",
                    }
                  ]
                }
              }
            };
          </script>
        
        
    

Rating with feedback

Adding prop feedback<> will enable popover with textarea on click.

        
            
          <template>
            <mdb-rating feedback @submit="submitFeedback"/>
          </template>
        
        
    
        
            
          <script>
            import { mdbRating } from "mdbvue";
            export default {
              name: "RatingPage",
              components: {
                mdbRating
              },
              methods: {
                submitFeedback(message){
                  console.log(message);
                }
              }
            };
          </script>
        
        
    

Rating - API

In this section you will find advanced information about the Rating component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Rating

API Reference: Properties

Name Type Default Description Example
tag String 'div' Sets a tag of the rating component <mdb-rating tag="li"/>
feedback Boolean false If set to true, clicking a star will trigger a popover with a textarea <mdb-rating feedback/>
icon String "star" Sets default icon <mdb-rating icon="smile"/>
iconClass String "grey-text" Sets default icon's classes <mdb-rating iconClass="yellow-text"/>
iconActiveClass String "yellow-text" Sets classes for all active icons which don't have activeClass specified in options <mdb-rating iconActiveClass="black-text"/>
far Boolean false Sets default icons' style to regular <mdb-rating far/>
activeFar Boolean false Sets active icons' style to regular <mdb-rating activeFar/>
fal Boolean false Sets default icons' style to light <mdb-rating fal/>
activeFal Boolean false Sets active icons' style to light <mdb-rating activeFal/>
fab Boolean false Sets default icons' style to brands <mdb-rating fab/>
activeFab Boolean false Sets active icons' style to brands <mdb-rating activeFab/>
fad Boolean false Sets default icons' style to duotone (Fa premium users) <mdb-rating fad/>
activeFad Boolean false Sets active icons' style to duotone <mdb-rating activeFad/>
options Array [ { feedback: "Very bad" }, { feedback: "Poor" }, { feedback: "OK" }, { feedback: "Good" }, { feedback: "Excellent" } ] Sets custom options for each icon. All available options are listed here <mdb-rating activeFab/>
disable Boolean false Disables rating <mdb-rating :value="4" disabled/>

Options structure

Property options takes as an argument an Array of objects. Available keys for those objects are:

  • feedback
  • icon
  • fab
  • far
  • fas
  • iconActiveClass
        
            
      <script>
        const options = [{
          feedback: String,
          icon: String,
          fab: Boolean,
          far: Boolean,
          fas: Boolean,
          iconActiveClass: String
        }];
      </script>
      
        
    

API Reference: Events and directives

Name Description Example
v-model You can set and get rating's value by binding it with key in your data <mdb-rating v-model="ratingValue"/>
@submit If feedback property is set to true, this event emits value from popover's textarea <mdb-rating @submit="submitFeedback"/>